Bug 965656 - self-test uses RSA keys with 512 bits (which is not FIPS 140-2 approved)
self-test uses RSA keys with 512 bits (which is not FIPS 140-2 approved)
Status: CLOSED DUPLICATE of bug 1235517
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libuser (Show other bugs)
6.4
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Miloslav Trmač
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 09:31 EDT by Ondrej Moriš
Modified: 2015-06-27 02:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-27 02:47:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Moriš 2013-05-21 09:31:10 EDT
Description of problem:

Self-test (also known as 'make check') uses RSA keys of length 512 bits:

* tests/ldap_test
* tests/default_pw_test

For instance

# Create a SSL key
/usr/bin/openssl req -newkey rsa:512 -keyout "$workdir"/key1 -nodes \
    -x509 -days 2 -out "$workdir"/key3 2>/dev/null <<EOF

However, in FIPS "mode" each RSA key is expected to have 1024 or more bits and hence self-tests fails when openssl FIPS 140-2 approved mode is turned on.

Version-Release number of selected component (if applicable):

libuser-0.56.13-5.el6.x86_64

How reproducible:

100% (with FIPS mode enabled)

Steps to Reproduce:

1. OPENSSL_FORCE_FIPS_MODE=1 make check

Actual results:

Traceback (most recent call last):
  File "./tests/default_pw_test.py", line 15, in <module>
    admin = libuser.admin(prompt = prompt_callback)

Expected results:

PASS

Additional info:

The problem can be fixed easily by raising bit-length to 1024 or more.
Comment 3 RHEL Product and Program Management 2013-10-13 19:35:17 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 Miloslav Trmač 2015-06-27 02:47:16 EDT
Fixed in libuser-0.56.13-7.el6_6 for #1235517; not a duplicate of that bug but I can’t add the bug to the build at the moment,

*** This bug has been marked as a duplicate of bug 1235517 ***

Note You need to log in before you can comment on or make changes to this bug.